<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: HttpStatus Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structHttpStatus-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">HttpStatus Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="http__status_8h_source.html">http_status.h</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for HttpStatus:</div>
<div class="dyncontent">
<div class="center"><img src="structHttpStatus__coll__graph.png" border="0" usemap="#HttpStatus_coll__map" alt="Collaboration graph"/></div>
<map name="HttpStatus_coll__map" id="HttpStatus_coll__map">
<area shape="rect" title=" " alt="" coords="5,5,187,171"/>
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a1451715b45c15b0027278bb9625b9336"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structHttpStatus.html#a1451715b45c15b0027278bb9625b9336">HttpStatus</a> (<a class="el" href="http__status_8h.html#aba9d0a1391baa205608ee827e3fbd21a">REQUEST_STATUS</a> req_status, int client_fd=-1)</td></tr>
<tr class="separator:a1451715b45c15b0027278bb9625b9336"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a1f3a9d954ad1164644f76d013b2a7738"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structHttpStatus.html#a1f3a9d954ad1164644f76d013b2a7738">m_client_fd</a></td></tr>
<tr class="separator:a1f3a9d954ad1164644f76d013b2a7738"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a52449c66f8b70744d289a02ec64e076f"><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structHttpStatus.html#a52449c66f8b70744d289a02ec64e076f">m_read_header_bytes</a></td></tr>
<tr class="separator:a52449c66f8b70744d289a02ec64e076f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4e4a2de3ee2bef03dcf8ffe927136c28"><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structHttpStatus.html#a4e4a2de3ee2bef03dcf8ffe927136c28">m_read_body_bytes</a></td></tr>
<tr class="separator:a4e4a2de3ee2bef03dcf8ffe927136c28"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad947d58cbbabfc6741740e539b9ab60f"><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structHttpStatus.html#ad947d58cbbabfc6741740e539b9ab60f">m_sent_bytes</a></td></tr>
<tr class="separator:ad947d58cbbabfc6741740e539b9ab60f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a97af6858b37b548ced7846287b25a39a"><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structHttpStatus.html#a97af6858b37b548ced7846287b25a39a">m_left_to_send</a></td></tr>
<tr class="separator:a97af6858b37b548ced7846287b25a39a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af39b20ecce20c77b282176651d53ee5e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="http__status_8h.html#aba9d0a1391baa205608ee827e3fbd21a">REQUEST_STATUS</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structHttpStatus.html#af39b20ecce20c77b282176651d53ee5e">m_req_status</a></td></tr>
<tr class="separator:af39b20ecce20c77b282176651d53ee5e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4360f54d0940930d6d808760c1f5c967"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structHttpStatus.html#a4360f54d0940930d6d808760c1f5c967">m_buffer</a></td></tr>
<tr class="separator:a4360f54d0940930d6d808760c1f5c967"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a1451715b45c15b0027278bb9625b9336"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1451715b45c15b0027278bb9625b9336">&#9670;&nbsp;</a></span>HttpStatus()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">HttpStatus::HttpStatus </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="http__status_8h.html#aba9d0a1391baa205608ee827e3fbd21a">REQUEST_STATUS</a>&#160;</td>
          <td class="paramname"><em>req_status</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>client_fd</em> = <code>-1</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a4360f54d0940930d6d808760c1f5c967"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4360f54d0940930d6d808760c1f5c967">&#9670;&nbsp;</a></span>m_buffer</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string HttpStatus::m_buffer</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1f3a9d954ad1164644f76d013b2a7738"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1f3a9d954ad1164644f76d013b2a7738">&#9670;&nbsp;</a></span>m_client_fd</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int HttpStatus::m_client_fd</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a97af6858b37b548ced7846287b25a39a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a97af6858b37b548ced7846287b25a39a">&#9670;&nbsp;</a></span>m_left_to_send</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t HttpStatus::m_left_to_send</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4e4a2de3ee2bef03dcf8ffe927136c28"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4e4a2de3ee2bef03dcf8ffe927136c28">&#9670;&nbsp;</a></span>m_read_body_bytes</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t HttpStatus::m_read_body_bytes</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a52449c66f8b70744d289a02ec64e076f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a52449c66f8b70744d289a02ec64e076f">&#9670;&nbsp;</a></span>m_read_header_bytes</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t HttpStatus::m_read_header_bytes</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af39b20ecce20c77b282176651d53ee5e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af39b20ecce20c77b282176651d53ee5e">&#9670;&nbsp;</a></span>m_req_status</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="http__status_8h.html#aba9d0a1391baa205608ee827e3fbd21a">REQUEST_STATUS</a> HttpStatus::m_req_status</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad947d58cbbabfc6741740e539b9ab60f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad947d58cbbabfc6741740e539b9ab60f">&#9670;&nbsp;</a></span>m_sent_bytes</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t HttpStatus::m_sent_bytes</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this struct was generated from the following files:<ul>
<li>backend/src/lib/server/<a class="el" href="http__status_8h_source.html">http_status.h</a></li>
<li>backend/src/lib/server/<a class="el" href="http__status_8cpp.html">http_status.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
